Package org.gradle.tooling.events.problems

# Interface ProblemAggregation

@Incubating public interface ProblemAggregation
Represents a list of aggregated problems. These are sent at the end of the build. All Problems that occurred more than once during the build are aggregated and sent as a `ProblemAggregation`. They won't be sent in between the build only the first one.

Since:
  8.6

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ProblemDefinition`
  `getDefinition()`
  Returns the definition of the problem.
  `List<ProblemContext>`
  `getProblemContext()`
  The list of aggregated problems.

- ## Method Details

  - ### getDefinition

    ProblemDefinition getDefinition()
    Returns the definition of the problem.
    Returns:
      the definition
    Since:
      8.9

  - ### getProblemContext

    List<ProblemContext> getProblemContext()
    The list of aggregated problems.
    Returns:
      The list of aggregated problems.
    Since:
      8.8